.image-upload {
  border: 2px dashed darken(#f0f0f0, 5%);
  border-radius: 5px;
  background: white;
  position: relative;

  .upload-message {
    text-align: center;
    position: absolute;
    top: 50%;
    width: 100%;

    &.hidden {
      display: none;
    }
  }

  .thumb-container {
    @include x-display-flex;
    @include x-flex-wrap(wrap);
    @include x-flex-direction(row);
    margin: 15px 5px;
    height: 300px;

    .thumb {
      display: inline-flex;
      margin-bottom: 8px;
      margin-right: 8px;
      height: 50%;
      max-width: 30%;
      padding: 4px;
      box-sizing: border-box;
      @include x-transition(all 0.3s);

      &:first-child {
        height: 100%;
      }

      &-inner {
        @include x-display-flex;
        min-width: 0;
        overflow: hidden;
      }

      &-img {
        display: block;
        width: auto;
        height: 100%;
      }
    };
  }
}
